# Uses of Enum Class
org.apache.sysds.runtime.compress.colgroup.offset.OffsetFactory.OFF_TYPE

Packages that use OffsetFactory.OFF_TYPE
Package
Description
org.apache.sysds.runtime.compress.colgroup.offset

## Uses of OffsetFactory.OFF_TYPE in org.apache.sysds.runtime.compress.colgroup.offset

Methods in org.apache.sysds.runtime.compress.colgroup.offset that return OffsetFactory.OFF_TYPE
Modifier and Type
Method
Description
`static OffsetFactory.OFF_TYPE`
OffsetFactory.OFF_TYPE.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OffsetFactory.OFF_TYPE[]`
OffsetFactory.OFF_TYPE.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.compress.colgroup.offset with parameters of type OffsetFactory.OFF_TYPE
Modifier and Type
Method
Description
`static AOffset`
OffsetFactory.`createOffset(int[] indexes, int apos, int alen, OffsetFactory.OFF_TYPE type)`
`static AOffset`
OffsetFactory.`createOffset(int[] indexes, OffsetFactory.OFF_TYPE type)`
try to create a specific type of offset.